Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl
Class WebBrowserObject.ObjectHTMLConfiguration

    java.lang.Object
      chrriis.dj.nativeswing.swtimpl.WebBrowserObject.ObjectHTMLConfiguration

Enclosing class:
  WebBrowserObject

    public static class WebBrowserObject.ObjectHTMLConfiguration

extends Object

Constructor Summary
`WebBrowserObject.ObjectHTMLConfiguration()`

Method Summary
`String` | `getHTMLLoadingMessage()`
`Map<String,String>` | `getHTMLParameters()`
`String` | `getInstallationURL()`
`String` | `getMimeType()`
`String` | `getParamName()`
`String` | `getVersion()`
`String` | `getWindowsClassID()`
`String` | `getWindowsInstallationURL()`
`String` | `getWindowsParamName()`
`void` | `setHTMLLoadingMessage(String htmlLoadingMessage)`
`void` | `setHTMLParameters(Map<String,String> htmlParameters)`
`void` | `setInstallationURL(String installationURL)`
`void` | `setMimeType(String mimeType)`
`void` | `setParamName(String paramName)`
`void` | `setVersion(String version)`
`void` | `setWindowsClassID(String windowsClassID)`
`void` | `setWindowsInstallationURL(String windowsInstallationURL)`
`void` | `setWindowsParamName(String windowsParamName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebBrowserObject.ObjectHTMLConfiguration

    public WebBrowserObject.ObjectHTMLConfiguration()

Method Detail

### setHTMLLoadingMessage

    public void setHTMLLoadingMessage(String htmlLoadingMessage)

### getHTMLLoadingMessage

    public String getHTMLLoadingMessage()

### setWindowsClassID

    public void setWindowsClassID(String windowsClassID)

### getWindowsClassID

    public String getWindowsClassID()

### getWindowsInstallationURL

    public String getWindowsInstallationURL()

### setWindowsInstallationURL

    public void setWindowsInstallationURL(String windowsInstallationURL)

### getInstallationURL

    public String getInstallationURL()

### setInstallationURL

    public void setInstallationURL(String installationURL)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getWindowsParamName

    public String getWindowsParamName()

### setWindowsParamName

    public void setWindowsParamName(String windowsParamName)

### getParamName

    public String getParamName()

### setParamName

    public void setParamName(String paramName)

### getHTMLParameters

    public Map<String,String> getHTMLParameters()

### setHTMLParameters

    public void setHTMLParameters(Map<String,String> htmlParameters)

### getMimeType

    public String getMimeType()

### setMimeType

    public void setMimeType(String mimeType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD